<?php 
/**
 * Template part for displaying About Section
 *
 *@package Junior Kids
 */

    $features_title       = junior_kids_get_option( 'features_title' );
    $features_subtitle       = junior_kids_get_option( 'features_subtitle' );
    $background_features_section     = junior_kids_get_option( 'background_features_section' );
    $features_content_type     = junior_kids_get_option( 'features_content_type' );
    $number_of_features_items  = junior_kids_get_option( 'number_of_features_items' );
    $features_category = junior_kids_get_option( 'features_category' );
    $disable_features_icon = junior_kids_get_option( 'disable_features_icon' );
    $features_header_font_size = junior_kids_get_option( 'features_font_size');
    $features_content_font_size = junior_kids_get_option( 'features_content_font_size');
    $features_subtitle_font_size = junior_kids_get_option( 'features_subtitle_font_size');
    $features_section_header_font_size = junior_kids_get_option( 'features_section_header_font_size');
    $features_button_label = junior_kids_get_option( 'features_button_label');
    $home_layout = junior_kids_get_option( 'homepage_design_layout_options');
    $excerpt_length =junior_kids_get_option( 'features_excerpt_length');
    $video_link_url =junior_kids_get_option( 'features_video_link_url');
    for( $i=1; $i<=$number_of_features_items; $i++ ) :
        $features_page_posts[] = absint(junior_kids_get_option( 'features_page_'.$i ) );
        $features_post_posts[] = absint(junior_kids_get_option( 'features_post_'.$i ) );
    endfor;
    ?>
    <style>
        <?php if ($features_subtitle_font_size != 0): ?>
            #features .section-subtitle{
                font-size:<?php echo esc_html($features_subtitle_font_size); ?>px;
            }
        <?php endif ?>
        <?php if ($features_section_header_font_size != 0): ?>
            #features .section-title{
                font-size:<?php echo esc_html($features_section_header_font_size); ?>px;
            }
        <?php endif ?>

        <?php if ($features_header_font_size != 0): ?>
            #features .entry-title{
                font-size:<?php echo esc_html($features_header_font_size); ?>px;
            }
        <?php endif ?>
        <?php if ($features_content_font_size != 0): ?>
            #features .entry-content p{
                font-size:<?php echo esc_html($features_content_font_size); ?>px;
            }
        <?php endif ?>
    </style>
    <?php if(!empty($background_features_section) && ($home_layout=='home-medical' || $home_layout=='home-education' || $home_layout=='home-fitness')) : ?>
        <div class="featured-image" style="background-image: url('<?php echo esc_url($background_features_section) ?>');">
            <?php if (!empty($video_link_url)): ?>
                <div class="icon-play">
                    <a class="popup-video" href="<?php echo esc_url( $video_link_url ); ?>"></a>
                </div><!-- .icon-play -->
            <?php endif ?>
        </div><!-- .featured-image -->
    <?php endif; ?>
    <article class="features-main">
        <div class="entry-container">
            <?php if( !empty($features_title) || ! empty($features_subtitle ) ):?>
                <div  class="section-header">
                    <div class="section-header-cloud">
                        <div class="header-cloud-shape"></div>
                    </div>
                    <?php if( !empty($features_title)):?>
                        <h2 class="section-title"><?php echo esc_html($features_title);?></h2>
                    <?php endif;?>
                    <?php if ( ! empty($features_subtitle ) ) : ?>
                        <p class="section-subtitle"><?php echo esc_html( $features_subtitle ); ?></p>
                    <?php endif; ?><!-- .section-header -->
                </div> 
            <?php endif; ?>
            <div <?php if (($home_layout=='home-medical' || $home_layout=='home-education' || $home_layout=='home-fitness')): ?> class="col-3" <?php endif ?>>

                <?php 
                    $args = array (
                        'post_type'     => 'post',
                        'post_per_page' => count( $features_post_posts ),
                        'post__in'      => $features_post_posts,
                        'orderby'       =>'post__in', 
                        'ignore_sticky_posts' => true, 
                    ); 
                $loop = new WP_Query($args);                        
                if ( $loop->have_posts() ) :
                    $i=0;  
                    while ($loop->have_posts()) : $loop->the_post(); $i++;?>    
                        <article class="features-item-wrapper <?php echo has_post_thumbnail() ? 'has-post-thumbnail' : 'no-post-thumbnail' ; ?>" >
                            <?php if($home_layout=='home-corporate') : ?>
                                <div class="icon-container">
                                    <a href="<?php the_permalink();?>">
                                        <i class="fa fa-check"></i>
                                    </a>
                                </div>
                            <?php endif; ?>
                            <div class="features-content" <?php if (($home_layout=='home-medical' || $home_layout=='home-education' || $home_layout=='home-fitness')): ?> style="background-image:url('<?php the_post_thumbnail_url( 'full');?>');" <?php endif; ?>>
                                <?php if ($home_layout=='home-medical' || $home_layout=='home-education'|| $home_layout=='home-fitness'): ?>
                                    <div class="overlay"></div>
                                <?php endif; ?>
                                <header class="entry-header">
                                    <h2 class="entry-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
                                </header>

                                <div class="entry-content">
                                    <?php
                                        $excerpt = junior_kids_the_excerpt( $excerpt_length );
                                        echo wp_kses_post( wpautop( $excerpt ) );
                                    ?>                                    
                                </div><!-- .entry-content -->
                                <?php if ( ! empty( $features_button_label ) && ($home_layout=='home-medical' || $home_layout=='home-education' || $home_layout=='home-fitness')) : ?>
                                    <div class="read-more">
                                        <a href="<?php the_permalink();?>" class="btn btn-primary"><?php echo esc_html($features_button_label); ?></a>
                                    </div>  
                                <?php endif; ?>
                            </div>  
                        </article>
                    <?php endwhile;?>
                <?php endif; ?>
            <?php wp_reset_postdata(); ?>
    </div>
    </article> 